use common::database::DatabaseCredentials;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
pub struct NapSdkConfig {
    pub http_addr: String,
    #[serde(rename = "database")]
    pub database_credentials: DatabaseCredentials,
}

impl Default for NapSdkConfig {
    fn default() -> Self {
        Self {
            http_addr: String::from("0.0.0.0:21000"),
            database_credentials: DatabaseCredentials::default(),
        }
    }
}
